Skip to main content
POST
Resize a Read Replica Set

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using your Tiger Cloud public key and secret key.

Format: Authorization: Basic <base64(public_key:secret_key)>

Example:

Path Parameters

project_id
string
required

The unique identifier of the project.

Example:

"rp1pz7uyae"

service_id
string
required

The unique identifier of the service.

Example:

"d1k5vk7hf2"

replica_set_id
string
required

The unique identifier of the read replica set.

Example:

"alb8jicdpr"

Body

application/json
cpu_millis
integer
required

The new CPU allocation in milli-cores (e.g., 1000 for 1 vCPU).

Example:

1000

memory_gbs
integer
required

The new memory allocation in gigabytes.

Example:

4

nodes
integer

The new number of nodes in the replica set.

Example:

2

Response

Resize request has been accepted and is in progress.